/*
 * Copyright (C) 2024 UBports Foundation
 *
 * Authors:
 *    Muhammad <muhammad23012009@hotmail.com>
 *
 * This program is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 3, as published
 * by the Free Software Foundation.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "plugin.h"

#include <QtQml>
#include <QtQml/QQmlContext>

#include "usb-config-helper.h"

QObject* usbConfigObject(QQmlEngine* engine, QJSEngine*)
{
    return new UsbConfigHelper(engine);
}

void BackendPlugin::registerTypes(const char *uri)
{
    Q_ASSERT(uri == QLatin1String("Lomiri.SystemSettings.Usb"));

    qmlRegisterSingletonType<UsbConfigHelper>(uri, 1, 0, "UsbConfig", usbConfigObject);
}

void BackendPlugin::initializeEngine(QQmlEngine *engine, const char *uri)
{
    QQmlExtensionPlugin::initializeEngine(engine, uri);
}
